Bug 520971 - Info documentation fails to install into directory
Summary: Info documentation fails to install into directory
Keywords:
Status: CLOSED DUPLICATE of bug 531204
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 01:05 UTC by Matt McCutchen
Modified: 2010-06-16 14:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-16 14:10:12 UTC


Attachments (Terms of Use)

Description Matt McCutchen 2009-09-03 01:05:14 UTC
Description of problem:

After installing the ocaml-docs package, ocaml is not listed in the info directory when I run "info".  Here's the scriptlet that tries to install the info documentation:

$ rpm -q --scripts ocaml-docs
postinstall scriptlet (using /bin/sh):
/sbin/install-info \
    --entry "* ocaml: (ocaml).   The Objective Caml compiler and programming environment" \
    --section "Programming Languages" \
    /usr/share/info/ocaml.info \
    /usr/share/info/dir 2>/dev/null || :

Since /usr/share/info/ocaml.info is not an existing file (the file is /usr/share/info/ocaml.info.gz), install-info misinterprets the --section option as a "--section R SEC" style option.  install-info then crashes while processing that option, due to a separate bug which I reported upstream:

https://savannah.gnu.org/bugs/index.php?27376

With that bug fixed, install-info would still fail with an error message that is suppressed by the scriptlet.

Version-Release number of selected component (if applicable):
info-4.13a-2.fc11.i586
ocaml-docs-3.11.0-3.fc11.i586

How reproducible:
I got the crash every time I tried, but I'm hesitant to generalize because behavior could depend on the layout produced by malloc at runtime.

Steps to Reproduce:
1. yum install ocaml-docs
2. info
  
Actual results:

The following crash during "yum install ocaml-docs":

*** glibc detected *** /sbin/install-info: realloc(): invalid pointer: 0x097e48e8 ***
======= Backtrace: =========
/lib/libc.so.6[0x5c72a1]
/lib/libc.so.6(realloc+0x290)[0x5ccaf0]
/lib/libc.so.6(argz_append+0x33)[0x5d4fb3]
/lib/libc.so.6(argz_add+0x3f)[0x5d503f]
/sbin/install-info[0x804b0d9]
/lib/libc.so.6(__libc_start_main+0xe6)[0x56da66]
/sbin/install-info[0x80491e1]
======= Memory map: ========
0017a000-0017b000 r-xp 0017a000 00:00 0          [vdso]
002ab000-002cb000 r-xp 00000000 fd:02 3181963    /lib/ld-2.10.1.so
002cb000-002cc000 r--p 0001f000 fd:02 3181963    /lib/ld-2.10.1.so
002cc000-002cd000 rw-p 00020000 fd:02 3181963    /lib/ld-2.10.1.so
00557000-006c2000 r-xp 00000000 fd:02 3181970    /lib/libc-2.10.1.so
006c2000-006c4000 r--p 0016b000 fd:02 3181970    /lib/libc-2.10.1.so
006c4000-006c5000 rw-p 0016d000 fd:02 3181970    /lib/libc-2.10.1.so
006c5000-006c8000 rw-p 006c5000 00:00 0 
008e4000-0090e000 r-xp 00000000 fd:02 3181941    /lib/libgcc_s-4.4.1-20090729.so.1
0090e000-0090f000 rw-p 00029000 fd:02 3181941    /lib/libgcc_s-4.4.1-20090729.so.1
00c82000-00c94000 r-xp 00000000 fd:02 3182285    /lib/libz.so.1.2.3
00c94000-00c95000 rw-p 00011000 fd:02 3182285    /lib/libz.so.1.2.3
08048000-08051000 r-xp 00000000 fd:02 3182403    /sbin/install-info
08051000-08052000 rw-p 00008000 fd:02 3182403    /sbin/install-info
097e4000-09805000 rw-p 097e4000 00:00 0          [heap]
b7ef9000-b80f9000 r--p 00000000 fd:02 3183628    /usr/lib/locale/locale-archive
b80f9000-b80fb000 rw-p b80f9000 00:00 0 
bfcb9000-bfcce000 rw-p bffeb000 00:00 0          [stack]
/var/tmp/rpm-tmp.xcb4Ih: line 5:  9241 Aborted                 /sbin/install-info --entry "* ocaml: (ocaml).   The Objective Caml compiler and programming environment" --section "Programming Languages" /usr/share/info/ocaml.info /usr/share/info/dir 2> /dev/null

And ocaml is nowhere to be seen in the info directory.

Expected results:
No crash, and ocaml appears in the info directory.

Comment 1 Bug Zapper 2010-04-28 10:09:25 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Matt McCutchen 2010-06-16 14:10:12 UTC

*** This bug has been marked as a duplicate of bug 531204 ***


Note You need to log in before you can comment on or make changes to this bug.